/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


/*****************************************************************************
******************************************************************************
**                                                                            
**        Y     Y   OOOO    OOOO   DDDDD     AA
**         Y   Y   O    O  O    O  D    D   A  A
**          Y Y    O    O  O    O  D    D  A    A 
**           Y     O    O  O    O  D    D  AAAAAA
**           Y     O    O  O    O  D    D  A    A
**           Y      OOOO    OOOO   DDDDD   A    A
**
******************************************************************************
******************************************************************************/
/*****************************************************************************
*
*  MODULE :             C++ interface constants
*  SCOPE :              C++ interface constants
*  FILE :               c++_const.hxx
*  AUTHORS :            E. Abecassis
*  CREATION DATE :      August 1, 1993
*  COPYRIGHTS :        (C) E. Abecassis, 1993
*  HISTORY :
*
******************************************************************************/

#ifdef __GNUG__
#pragma interface
#endif
#ifndef __cpp_const_HXX
#define __cpp_const_HXX

/* IMPORTS *******************************************************************/

#ifndef __config_H
#include "config.h"
#endif

#ifndef __define_H
#include "define.h"
#endif

/*****************************************************************************/

const int MAX_OBJ_SIZE = (SLOT_IN_PG*SLOT_SIZE) ;

// 475
const int ColNbInLeaf = (MAX_OBJ_SIZE-sizeof(Collection))/sizeof(ColElem);

#define YOO_LISTNODE_CLID 3
#define YOO_LISTLEAF_CLID 4 
#define YOO_DICTNODE_CLID 5
#define YOO_DICTLEAF_CLID 6 

const int COL_HEAD = 0 ;
const int COL_TAIL = -1 ;
const int YOO_GROWING_STEP = 3 ;
const int YOO_SIZEOF_LIST_ELEM = 8 ;
const int ADM_DefaultVol = 2 ;
const int ADM_FirstClId = 7 ;
const yoo_ObjectX NULL_REF = NULL ;

#endif
